Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1315630 - FTBFS due "error: nonnull argument 'this' compared to NULL"
Summary: FTBFS due "error: nonnull argument 'this' compared to NULL"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libyui
Version: 24
Hardware: s390x
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ZedoraTracker
TreeView+ depends on / blocked
 
Reported: 2016-03-08 09:42 UTC by Dan Horák
Modified: 2016-04-03 17:57 UTC (History)
1 user (show)

Fixed In Version: libyui-3.2.5-1.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-03 17:57:52 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
preprocessed source file (deleted)
2016-03-08 09:42 UTC, Dan Horák
no flags Details

Description Dan Horák 2016-03-08 09:42:13 UTC
Created attachment 1134081 [details]
preprocessed source file

build of recent libyui fails on s390(x) due "error: nonnull argument 'this' compared to NULL"

from build.log
...
cd /home/sharkcz/libyui/libyui-libyui-master-3.2.1/build-s390x.fc25/src && /usr/bin/c++   -DVERSION=\"3.2.1\" -D_XOPEN_SOURCE=500 -Dyui_EXPORTS -I/home/sharkcz/libyui/libyui-libyui-master-3.2.1/src -I/home/sharkcz/libyui/libyui-libyui-master-3.2.1/build-s390x.fc25/src  -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -march=z9-109 -mtune=z10 -std=c++0x -fmessage-length=0 -Wall -Werror -fPIC   -o CMakeFiles/yui.dir/YDialog.cc.o -c /home/sharkcz/libyui/libyui-libyui-master-3.2.1/src/YDialog.cc
In file included from /home/sharkcz/libyui/libyui-libyui-master-3.2.1/src/YWidget.h:34:0,
                 from /home/sharkcz/libyui/libyui-libyui-master-3.2.1/src/YSingleChildContainerWidget.h:28,
                 from /home/sharkcz/libyui/libyui-libyui-master-3.2.1/src/YDialog.h:29,
                 from /home/sharkcz/libyui/libyui-libyui-master-3.2.1/src/YDialog.cc:32:
/home/sharkcz/libyui/libyui-libyui-master-3.2.1/src/YDialog.cc: In member function 'bool YDialog::destroy(bool)':
/home/sharkcz/libyui/libyui-libyui-master-3.2.1/src/YUIException.h:179:18: error: nonnull argument 'this' compared to NULL [-Werror=nonnull-compare]
  if ( ! (WIDGET) || ! (WIDGET)->isValid() ) \
       ~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~
/home/sharkcz/libyui/libyui-libyui-master-3.2.1/src/YDialog.cc:254:5: note: in expansion of macro 'YUI_CHECK_WIDGET'
     YUI_CHECK_WIDGET( this );
     ^~~~~~~~~~~~~~~~
cc1plus: all warnings being treated as errors
src/CMakeFiles/yui.dir/build.make:1001: recipe for target 'src/CMakeFiles/yui.dir/YDialog.cc.o' failed
make[2]: *** [src/CMakeFiles/yui.dir/YDialog.cc.o] Error 1
make[2]: *** Waiting for unfinished jobs....

for complete logs please see http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2143933

Version-Release number of selected component (if applicable):
libyui-3.2.1-5.fc24
gcc-6.0.0-0.15.fc24.s390x

Comment 1 Dan Horák 2016-03-09 09:19:46 UTC
very likely https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70143 as it coincides with bug 1315191 (and others)

Comment 2 Dan Horák 2016-03-17 16:14:26 UTC
still present with gcc-6.0.0-0.16.fc24.s390x, so rather a different issue

Comment 3 Fedora Update System 2016-03-29 11:01:20 UTC
libyui-qt-2.46.21-1.fc24 libyui-gtk-2.44.7-1.fc24 libyui-ncurses-2.47.6-1.fc24 libyui-bindings-1.1.1-1.fc24 libyui-3.2.4-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-043b1ee852

Comment 4 Fedora Update System 2016-03-30 00:27:52 UTC
libyui-3.2.4-1.fc24, libyui-bindings-1.1.1-1.fc24, libyui-gtk-2.44.7-1.fc24, libyui-ncurses-2.47.6-1.fc24, libyui-qt-2.46.21-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-043b1ee852

Comment 5 Fedora Update System 2016-03-30 08:38:08 UTC
libyui-3.2.4-2.fc24 libyui-bindings-1.1.1-1.fc24 libyui-gtk-2.44.7-1.fc24 libyui-ncurses-2.47.6-1.fc24 libyui-qt-2.46.21-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-043b1ee852

Comment 6 Fedora Update System 2016-03-30 22:27:25 UTC
libyui-3.2.5-1.fc24, libyui-bindings-1.1.1-3.fc24, libyui-gtk-2.44.7-1.fc24, libyui-ncurses-2.47.6-1.fc24, libyui-qt-2.46.21-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-043b1ee852

Comment 7 Fedora Update System 2016-04-03 17:57:44 UTC
libyui-3.2.5-1.fc24, libyui-bindings-1.1.1-3.fc24, libyui-gtk-2.44.7-1.fc24, libyui-ncurses-2.47.6-1.fc24, libyui-qt-2.46.21-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.